Get Schedule by ID

Returns schedule information based on the given schedule id

This method will use 20 Compute Units.


Get schedule by id

get

Returns schedule information based on the given schedule id

Path parameters
scheduleIdstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Responses
chevron-right
200

OK

application/json
consensus_timestampstringOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
creator_account_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
deletedbooleanOptionalExample: false
executed_timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
expiration_timestring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
memostringOptionalExample: created on 02/10/2021
payer_account_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
schedule_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
transaction_bodystring · byteOptionalExample: Kd6tvu8=
wait_for_expirybooleanOptional
get
/api/v1/schedules/{scheduleId}

Last updated

Was this helpful?